
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品装修模板表
 *
 * @author Orange
 * @date 2022-08-12 14:04:57
 */
public class ShopTemplate extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺模板表
     */
    private Long templateId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 名称
     */
    private String name;

    /**
     * 装修内容
     */
    private String content;

    /**
     * 图片
     */
    private String image;

    /**
     * 类型 1.pc 2.移动端
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ShopTemplate{" +
                "templateId=" + templateId +
                ",shopId=" + shopId +
                ",name=" + name +
                ",content=" + content +
                ",image=" + image +
                ",type=" + type +
                ",remark=" + remark +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                '}';
    }
}
